| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Digikam::ItemPropertiesSideBarDB Class Reference
Inheritance diagram for Digikam::ItemPropertiesSideBarDB:

## Public Slots
void | slotAssignRating (int rating)
void | slotAssignRatingFiveStar ()
void | slotAssignRatingFourStar ()
void | slotAssignRatingNoStar ()
void | slotAssignRatingOneStar ()
void | slotAssignRatingThreeStar ()
void | slotAssignRatingTwoStar ()
void | slotNoCurrentItem () override
void | slotOpenGeolocationMap ()
void | slotPopupTagsView ()
Public Slots inherited from Digikam::ItemPropertiesSideBar
void | slotImageSelectionChanged (const QRect &rect)
void | slotLoadMetadataFilters ()
virtual void | slotNoCurrentItem ()

## Signals
void | signalFirstItem ()
void | signalLastItem ()
void | signalNextItem ()
void | signalPrevItem ()
void | signalRightSideBarBusy (bool busy)
Signals inherited from Digikam::ItemPropertiesSideBar
void | signalSetupExifTool ()
void | signalSetupMetadataFilters (int)
Signals inherited from Digikam::Sidebar
void | signalChangedTab (QWidget *w)
| Is emitted, when another tab is activated.
void | signalViewChanged ()
| Is emitted, when tab is shrink or expanded.

## Public Member Functions
| ItemPropertiesSideBarDB (QWidget *const parent, SidebarSplitter *const splitter, Qt::Edge side=Qt::LeftEdge, bool mimimizedDefault=false)
ItemPropertiesVersionsTab * | getFiltersHistoryTab () const
| This is for image editor to be able to update the filter list in sidebar.
ItemDescEditTab * | imageDescEditTab () const
virtual void | itemChanged (const ItemInfo &info, const QRect &rect=QRect(), DImg *const img=nullptr, const DImageHistory &history=DImageHistory())
virtual void | itemChanged (const ItemInfoList &infos, const ItemInfoList &allInfos)
void | itemChanged (const QUrl &url, const QRect &rect=QRect(), DImg *const img=nullptr) override
void | populateTags ()
void | refreshTagsView ()
void | setItemFilterModel (ItemFilterModel *const model)
void | setShowAllPropertiesMode (bool b)
| If no item selected, show the synthesis panel with information from all items.
Public Member Functions inherited from Digikam::ItemPropertiesSideBar
| ItemPropertiesSideBar (QWidget *const parent, SidebarSplitter *const splitter, Qt::Edge side=Qt::LeftEdge, bool mimimizedDefault=false)
Public Member Functions inherited from Digikam::Sidebar
| Sidebar (QWidget *const parent, SidebarSplitter *const sp, Qt::Edge side=Qt::LeftEdge, bool minimizedDefault=false)
| Creates a new sidebar.
void | activeNextTab ()
| Activates a next tab from current one.
void | activePreviousTab ()
| Activates a previous tab from current one.
void | appendTab (QWidget *const w, const QIcon &pic, const QString &title)
| Appends a new tab to the sidebar.
void | backup ()
| Hide sidebar and backup minimized state.
void | backup (const QList< QWidget * > &thirdWidgetsToBackup, QList< int > *const sizes)
| Hide sidebar and backup minimized state.
void | deleteTab (QWidget *const w)
| Deletes a tab from the tabbar.
void | expand ()
| Redisplays the whole sidebar.
QWidget * | getActiveTab () const
| Returns the currently activated tab, or 0 if no tab is active.
bool | isExpanded () const
| Return the visible status of current sidebar tab.
void | restore ()
| Show sidebar and restore minimized state.
void | restore (const QList< QWidget * > &thirdWidgetsToRestore, const QList< int > &sizes)
| Show sidebar and restore minimized state.
void | setActiveTab (QWidget *const w)
| Activates a tab.
void | shrink ()
| Hides the sidebar (display only the activation buttons)
SidebarSplitter * | splitter () const
Public Member Functions inherited from Digikam::DMultiTabBar
| DMultiTabBar (Qt::Edge pos, QWidget *const parent=nullptr)
void | appendButton (const QIcon &pic, int id=-1, QMenu *const popup=nullptr, const QString &not_used_yet=QString())
| append a new button to the button area.
void | appendTab (const QIcon &pic, int id=-1, const QString &text=QString())
| append a new tab to the tab area.
DMultiTabBarButton * | button (int id) const
| get a pointer to a button within the button area identified by its ID
bool | isTabRaised (int id) const
| return the state of a tab, identified by its ID
Qt::Edge | position () const
| get the tabbar position.
void | removeButton (int id)
| remove a button with the given ID
void | removeTab (int id)
| remove a tab with a given ID
void | setPosition (Qt::Edge pos)
| set the real position of the widget.
void | setStyle (TextStyle style)
| set the display style of the tabs
void | setTab (int id, bool state)
| set a tab to "raised"
DMultiTabBarTab * | tab (int id) const
| get a pointer to a tab within the tab area, identified by its ID
TextStyle | tabStyle () const
| get the display style of the tabs
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Static Public Member Functions
static bool | GPSItemInfofromItemInfo (const ItemInfo &, GPSItemInfo *const)

## Protected Member Functions
void | doLoadState () override
| load the last view state from disk - called by StateSavingObject::loadState()
void | doSaveState () override
| save the view state to disk - called by StateSavingObject::saveState()
Protected Member Functions inherited from Digikam::Sidebar
void | doLoadState () override
| Load the last view state from disk - called by StateSavingObject::loadState()
void | doSaveState () override
| Save the view state to disk - called by StateSavingObject::saveState()
Protected Member Functions inherited from Digikam::DMultiTabBar
virtual void | fontChange (const QFont &)
void | updateSeparator ()
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Additional Inherited Members
Public Types inherited from Digikam::DMultiTabBar
enum | TextStyle { ActiveIconText = 0 , AllIconsText = 2 }
| The list of available styles for DMultiTabBar. More...
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...
Protected Slots inherited from Digikam::ItemPropertiesSideBar
virtual void | slotChangedTab (QWidget *tab)
Protected Attributes inherited from Digikam::ItemPropertiesSideBar
ItemPropertiesColorsTab * | m_colorTab = nullptr
QRect | m_currentRect
QUrl | m_currentUrl
bool | m_dirtyColorTab = false
bool | m_dirtyGpsTab = false
bool | m_dirtyHistoryTab = false
bool | m_dirtyMetadataTab = false
bool | m_dirtyPropertiesTab = false
ItemPropertiesGPSTab * | m_gpsTab = nullptr
DImg * | m_image = nullptr
ItemPropertiesMetadataTab * | m_metadataTab = nullptr
QStackedWidget * | m_propertiesStackedView = nullptr
ItemPropertiesTab * | m_propertiesTab = nullptr

## Member Function Documentation

## ◆ doLoadState()

void Digikam::ItemPropertiesSideBarDB::doLoadState | ( |  | ) |
| override protected virtual

Reimplemented from Digikam::ItemPropertiesSideBar.

## ◆ doSaveState()

void Digikam::ItemPropertiesSideBarDB::doSaveState | ( |  | ) |
| override protected virtual

Reimplemented from Digikam::ItemPropertiesSideBar.

## ◆ itemChanged()

void Digikam::ItemPropertiesSideBarDB::itemChanged | ( | const QUrl & | url,
|  | const QRect & | rect = `QRect()`,
|  | DImg *const | img = `nullptr`
| ) |  |
| override virtual

Reimplemented from Digikam::ItemPropertiesSideBar.

## ◆ setShowAllPropertiesMode()

void Digikam::ItemPropertiesSideBarDB::setShowAllPropertiesMode | ( | bool | b | ) |

Disabled by default.